Bug 63529 - OpenSSH's XForwarding seams to break if one is using IPv6 ..
OpenSSH's XForwarding seams to break if one is using IPv6 ..
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
7.2
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-15 13:06 EDT by Guðmundur D. H.
Modified: 2007-03-26 23:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-24 11:24:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guðmundur D. H. 2002-04-15 13:06:42 EDT
Description of Problem:
OpenSSH's XForwarding seams to break if one is using IPv6.

Xforwarding works fine if you are *only* using IPv4, *but*, when using IPv6
OpenSSH seams sometimes "forget" to open the IPv4 port on localhost, but IPv6 on
localhost is always opened.

Note that this behavior seams to be somewhat random, so it might take several
retries to occur.


Version-Release number of selected component (if applicable):
OpenSSH 3.1p1 on RH7.2, and Skipjack beta1.

How Reproducible:
Enable IPv6 in the OS, (re)start OpenSSH, 
log in, try using Xforwarding...



Can you reproduce this?
Comment 1 dwmalone 2002-05-27 05:27:12 EDT
I can reproduce this using the current OpenSSH package for 7.1. OpenSSH's X
forwarding only seems to bind to ::1 and never to 127.0.0.1. I'm working around
this by adding:

X11UseLocalhost no

to /etc/ssh/sshd_config. I don't have the most recent version of XFree
installed, so maybe it knows how to speak X over IPv6, which would resolve
the probem.

2% uname -a
Linux graves 2.4.18 #3 SMP Fri Apr 12 18:52:51 IST 2002 i686 unknown
3% rpm -q openssh
openssh-3.1p1-1

Comment 2 Guðmundur D. H. 2003-05-24 11:24:03 EDT
With openssh-3.4p1-2 this problem seams to be gone, so I'm closing it.

Note You need to log in before you can comment on or make changes to this bug.